<div class="content-wrapper white-bg">
    <div class="inner-content">
        <h3 class="content-title">Add New Offer <small><span class="red-text">*</span> All the fields are
                mandatory</small></h3>

        <form class="common-form" id="" method="get" action="#">
            <fieldset>
                <div class="row">
                    <div class="col-12 col-sm-6 col-md-4">
                        <div class="form-group">
                            <label>Offer Name <span class="red-text">*</span></label>
                            <input type="text" class="form-control" [(ngModel)]="createOffers.offerName"
                                name="createOffers.offerName" placeholder="Enter the Offer Name">
                        </div>
                    </div>
                    <div class="col-12 col-sm-6 col-md-4">
                        <div class="form-group">
                            <label>Offer Description<span class="red-text">*</span></label>
                            <input type="tel" class="form-control" [(ngModel)]="createOffers.offerDesc"
                                name="createOffers.offerDesc" placeholder="Enter the Offer Description">
                        </div>
                    </div>
                    <div class="col-12 col-sm-6 col-md-4">
                        <div class="form-group">
                            <label>Offer Price <span class="red-text">*</span></label>
                            <input type="text" class="form-control"
                                oninput="this.value = this.value.replace(/[^0-9.]/g, ''); this.value = this.value.replace(/(\..*)\./g, '$1');this.value = this.value.replace('..', '.');"
                                [(ngModel)]="createOffers.offerPrice" name="createOffers.offerPrice"
                                placeholder="Enter the Offer Price">
                        </div>
                    </div>
                    <div class="col-12 col-sm-6 col-md-4">
                        <div class="form-group">
                            <label for="customers-type">Currency Type <span class="red-text">*</span></label>
                            <input type="text" class="form-control" [(ngModel)]="createOffers.currencyType"
                                name="createOffers.currencyType" placeholder="Enter the Currency Type">
                        </div>
                    </div>
                    <div class="col-12 col-sm-6 col-md-4">
                        <div class="form-group">
                            <label for="type">Link</label>
                            <input type="text" class="form-control" [(ngModel)]="createOffers.link"
                                name="createOffers.link" placeholder="Enter the Link">
                        </div>
                    </div>
                    <div class="col-12 col-sm-6 col-md-4">
                        <div class="form-group">
                            <label>Offer Icon</label>
                            <input type="file" accept=".pdf,.doc,.docx,.jpeg,.jpg,.png" (change)="onFileChange($event)">
                        </div>
                    </div>
                    <div class="col-12 col-sm-6 col-md-4">
                        <div class="form-group">
                            <label for="type">Event</label>
                            <input type="text" class="form-control" [(ngModel)]="createOffers.event"
                                name="createOffers.link" placeholder="Enter the Event">
                        </div>
                    </div>
                </div>
                <div class="mt-1 mb-2">
                    <button type="submit" *ngIf="hideShow == true" (click)="create();"
                        class="btn common-btn">Submit</button>
                    <button type="submit" *ngIf="hideShow == false" (click)="edit();"
                        class="btn common-btn">Update</button>
                    <button type="reset" (click)="reset();" class="btn common-btn common-btn2">Cancel</button>
                </div>
            </fieldset>
        </form>
    </div>

    <div class="dasboard-table">
        <div class="table-responsive">
            <table class="table table-striped table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Offer Name</th>
                        <th>Offer Description</th>
                        <th>Offer Price</th>
                        <th>Link</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let item of rowData; index as i">
                        <td>{{i+1}}</td>
                        <td>{{item.offerName}}</td>
                        <td>{{item.offerDesc}}</td>
                        <td>{{item.offerPrice}}</td>
                        <td>{{item.link}}</td>
                        <td><a style="margin-right: 10px;" (click)="onDelete(item);"><img
                                    src="https://img.icons8.com/office/16/000000/delete-sign.png" /></a>
                            <a (click)="EditAppMaster(item);"><img
                                    src="https://img.icons8.com/color/18/000000/edit.png" /></a>
                        </td>
                    </tr>
                </tbody>
            </table>

        </div>

    </div>
</div>